GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::linearref::LinearGeometryBuilder Class Reference

`#include <LinearGeometryBuilder.h>`

## Public Member Functions
| LinearGeometryBuilder (const geom::GeometryFactory *geomFact)
void | setIgnoreInvalidLines (bool ignoreInvalidLines)
void | setFixInvalidLines (bool fixInvalidLines)
void | add (const geom::Coordinate &pt)
void | add (const geom::Coordinate &pt, bool allowRepeatedPoints)
geom::Coordinate | getLastCoordinate () const
| NOTE strk: why return by value ?
void | endLine ()
| Terminate the current LineString.
geom::Geometry * | getGeometry ()

## Detailed Description

Builds a linear geometry (LineString or MultiLineString) incrementally (point-by-point).

Version
  1.7

## Member Function Documentation

void geos::linearref::LinearGeometryBuilder::add | ( | const geom::Coordinate & | pt | ) |

Adds a point to the current line.

Parameters

  pt | the Coordinate to add

void geos::linearref::LinearGeometryBuilder::add | ( | const geom::Coordinate & | pt,
|  | bool | allowRepeatedPoints
| ) |  |

Adds a point to the current line.

Parameters

  pt | the Coordinate to add

void geos::linearref::LinearGeometryBuilder::setFixInvalidLines | ( | bool | fixInvalidLines | ) |

Allows invalid lines to be ignored rather than causing Exceptions. An invalid line is one which has only one unique point.

Parameters

  ignoreShortLines | `true` if short lines are to be ignored

void geos::linearref::LinearGeometryBuilder::setIgnoreInvalidLines | ( | bool | ignoreInvalidLines | ) |

Allows invalid lines to be ignored rather than causing Exceptions. An invalid line is one which has only one unique point.

Parameters

  ignoreShortLines | `true` if short lines are to be ignored

The documentation for this class was generated from the following file:

- LinearGeometryBuilder.h